

module Main where

--------------------------------------------------------------------------------

import Test.Tasty
import Test.Tasty.QuickCheck

import TestSuite.Attributes         ( testgroup_Attributes )
import TestSuite.Instances          ( testgroup_Instances  )
import TestSuite.Morphisms          ( testgroup_Morphisms  )
import TestSuite.Traversals         ( testgroup_Traversals )
import TestSuite.Trie               ( testgroup_Trie       )
import TestSuite.Zipper             ( testgroup_Zipper     )

--------------------------------------------------------------------------------

main :: IO ()
main = defaultMain tests

setN :: Int -> TestTree -> TestTree
setN n = localOption (QuickCheckTests n)

tests :: TestTree
tests 
  = setN 250 
  $ testGroup "tests"
      [ testgroup_Morphisms
      , testgroup_Instances
      , testgroup_Traversals
      , testgroup_Attributes
      , testgroup_Zipper
      , setN 100 $ testgroup_Trie
      ]

--------------------------------------------------------------------------------
